lkml.org 
[lkml]   [2006]   [Dec]   [11]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 2.6.19-git13: uts banner changes break SLES9 (at least)


On Mon, 11 Dec 2006, Linus Torvalds wrote:
>
> So I would suggest SLES now show that support by fixing THEIR BUG.

Btw, if you still want to use "get_kernel_version" or whatever the broken
program was, I'd suggest:

- extend the check to verify that the version number that follows looks
valid. It had better be something like a number with dots and perhaps a
"v" in front of it or something.

- extend the check to check that it has parenthesis and a date there
somewhere too.

In other words, make the string grep really REALLY anal. Rather than grep
for something totally trivial like "Linux version " that is so common that
I could easily see it finding that particular string sequence in any
random binary, not just the Linux kernel (eg some internal thing that says
"tested with Linux version 2.6")

Linus
-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2009-11-18 23:46    [W:0.084 / U:0.336 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site